<?php
	$ts_photography_custom_css = '';
	
	$ts_photography_theme_color_first = get_theme_mod('ts_photography_theme_color_first');
	$ts_photography_theme_color_second = get_theme_mod('ts_photography_theme_color_second');

	/*------------------ Theme Color Option -----------*/
	if ($ts_photography_theme_color_first) {
		$ts_photography_custom_css .= ':root {';
		$ts_photography_custom_css .= '--primary-color: ' . esc_attr($ts_photography_theme_color_first) . ' !important;';
		$ts_photography_custom_css .= '} ';
	}

	if ($ts_photography_theme_color_second) {
		$ts_photography_custom_css .= ':root {';
		$ts_photography_custom_css .= '--secondary-color: ' . esc_attr($ts_photography_theme_color_second) . ' !important;';
		$ts_photography_custom_css .= '} ';
	}

	// media
	$ts_photography_custom_css .='@media screen and (max-width:1000px) {';
	if($ts_photography_theme_color_second != false || $ts_photography_theme_color_first != false){
	$ts_photography_custom_css .='#menu-sidebar, .primary-navigation ul ul a, .primary-navigation li a:hover, .primary-navigation li:hover a, #contact-info{
	background-image: linear-gradient(-90deg, '.esc_attr($ts_photography_theme_color_second).' 0%, '.esc_attr($ts_photography_theme_color_first).' 120%);
		} ';
	}
	$ts_photography_custom_css .='}';

	/*---------------------------Width Layout -------------------*/
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_theme_options','Default');
    if($ts_photography_theme_lay == 'Default'){
		$ts_photography_custom_css .='body{';
			$ts_photography_custom_css .='max-width: 100%;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Container'){
		$ts_photography_custom_css .='body{';
			$ts_photography_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.serach_outer{';
			$ts_photography_custom_css .='width: 97.7%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$ts_photography_custom_css .='width:97%;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_theme_lay == 'Box Container'){
		$ts_photography_custom_css .='body{';
			$ts_photography_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.serach_outer{';
			$ts_photography_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto; right:0;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.page-template-custom-front-page #header{';
			$ts_photography_custom_css .='width:97%';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$ts_photography_custom_css .='width:97%;';
		$ts_photography_custom_css .='} }';
		$ts_photography_custom_css .='
		@media screen and (max-width: 1000px){
		.page-template-custom-front-page #header{';
		$ts_photography_custom_css .='width:100%;';
		$ts_photography_custom_css .='} }';
	}

	/*---------------------------Slider Content Layout -------------------*/
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_slider_content_alignment','Center');
    if($ts_photography_theme_lay == 'Left'){
		$ts_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$ts_photography_custom_css .='text-align:left; left:20%; right:20%;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Center'){
		$ts_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$ts_photography_custom_css .='text-align:center; left:20%; right:20%;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Right'){
		$ts_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$ts_photography_custom_css .='text-align:right; left:20%; right:20%;';
		$ts_photography_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_slider_image_opacity','0.7');
	if($ts_photography_theme_lay == '0'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.1'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.1';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.2'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.2';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.3'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.3';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.4'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.4';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.5'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.5';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.6'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.6';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.7'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.7';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.8'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.8';
		$ts_photography_custom_css .='}';
		}else if($ts_photography_theme_lay == '0.9'){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:0.9';
		$ts_photography_custom_css .='}';
		}

	/*-------------------------- Button Settings option------------------*/
	$ts_photography_button_padding_top_bottom = get_theme_mod('ts_photography_button_padding_top_bottom');
	$ts_photography_button_padding_left_right = get_theme_mod('ts_photography_button_padding_left_right');
	$ts_photography_custom_css .='#comments .form-submit input[type="submit"],.blogbutton-small,.know-btn a{';
		$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_button_padding_top_bottom).'px; padding-bottom: '.esc_attr($ts_photography_button_padding_top_bottom).'px; padding-left: '.esc_attr($ts_photography_button_padding_left_right).'px; padding-right: '.esc_attr($ts_photography_button_padding_left_right).'px; display:inline-block;';
	$ts_photography_custom_css .='}';

	$ts_photography_button_border_radius = get_theme_mod('ts_photography_button_border_radius');
	$ts_photography_custom_css .='#comments .form-submit input[type="submit"], .blogbutton-small,.know-btn a,.hvr-sweep-to-right:before{';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_button_border_radius).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_show_header = get_theme_mod( 'ts_photography_button_border', false);
	if($ts_photography_show_header == true){
		$ts_photography_custom_css .='.know-btn a{';
			$ts_photography_custom_css .='border:2px solid; margin:10px 0;';
		$ts_photography_custom_css .='}';
	}

	/*-----------------------------Responsive Setting --------------------*/
	$ts_photography_stickyheader = get_theme_mod( 'ts_photography_responsive_sticky_header',false);
	if($ts_photography_stickyheader == true && get_theme_mod( 'ts_photography_sticky_header') == false){
    	$ts_photography_custom_css .='.fixed-header{';
			$ts_photography_custom_css .='position:static;';
		$ts_photography_custom_css .='} ';
	}
    if($ts_photography_stickyheader == true){
    	$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='.fixed-header{';
			$ts_photography_custom_css .='position:fixed;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_stickyheader == false){
		$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='.fixed-header{';
			$ts_photography_custom_css .='position:static;';
		$ts_photography_custom_css .='} }';
	}

	$ts_photography_slider = get_theme_mod( 'ts_photography_responsive_slider',true);
	if($ts_photography_slider == true && get_theme_mod( 'ts_photography_slider_hide_show', true) == false){
    	$ts_photography_custom_css .='#slider{';
			$ts_photography_custom_css .='display:none;';
		$ts_photography_custom_css .='} ';
	}
    if($ts_photography_slider == true){
    	$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#slider{';
			$ts_photography_custom_css .='display:block;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_slider == false){
		$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#slider{';
			$ts_photography_custom_css .='display:none;';
		$ts_photography_custom_css .='} }';
	}

	$ts_photography_slider = get_theme_mod( 'ts_photography_responsive_scroll',true);
	if($ts_photography_slider == true && get_theme_mod( 'ts_photography_enable_disable_scroll', true) == false){
    	$ts_photography_custom_css .='#scroll-top{';
			$ts_photography_custom_css .='display:none !important;';
		$ts_photography_custom_css .='} ';
	}
    if($ts_photography_slider == true){
    	$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#scroll-top{';
			$ts_photography_custom_css .='visibility: visible !important;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_slider == false){
		$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#scroll-top{';
			$ts_photography_custom_css .='visibility: hidden !important;';
		$ts_photography_custom_css .='} }';
	}

	$ts_photography_sidebar = get_theme_mod( 'ts_photography_responsive_sidebar',true);
    if($ts_photography_sidebar == true){
    	$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#sidebar{';
			$ts_photography_custom_css .='display:block;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_sidebar == false){
		$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#sidebar{';
			$ts_photography_custom_css .='display:none;';
		$ts_photography_custom_css .='} }';
	}

	$ts_photography_loader = get_theme_mod( 'ts_photography_responsive_preloader', true);
	if($ts_photography_loader == true && get_theme_mod( 'ts_photography_preloader_option', true) == false){
    	$ts_photography_custom_css .='#loader-wrapper{';
			$ts_photography_custom_css .='display:none;';
		$ts_photography_custom_css .='} ';
	}
    if($ts_photography_loader == true){
    	$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#loader-wrapper{';
			$ts_photography_custom_css .='display:block;';
		$ts_photography_custom_css .='} }';
	}else if($ts_photography_loader == false){
		$ts_photography_custom_css .='@media screen and (max-width:575px) {';
		$ts_photography_custom_css .='#loader-wrapper{';
			$ts_photography_custom_css .='display:none;';
		$ts_photography_custom_css .='} }';
	}

	/*------------ Woocommerce Settings  --------------*/
	$ts_photography_top_bottom_product_button_padding = get_theme_mod('ts_photography_top_bottom_product_button_padding', 11);
	$ts_photography_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_top_bottom_product_button_padding).'px; padding-bottom: '.esc_attr($ts_photography_top_bottom_product_button_padding).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_left_right_product_button_padding = get_theme_mod('ts_photography_left_right_product_button_padding', 11);
	$ts_photography_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$ts_photography_custom_css .='padding-left: '.esc_attr($ts_photography_left_right_product_button_padding).'px; padding-right: '.esc_attr($ts_photography_left_right_product_button_padding).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_product_button_border_radius = get_theme_mod('ts_photography_product_button_border_radius', 0);
	$ts_photography_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_product_button_border_radius).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_show_related_products = get_theme_mod('ts_photography_show_related_products',true);
	if($ts_photography_show_related_products == false){
		$ts_photography_custom_css .='.related.products{';
			$ts_photography_custom_css .='display: none;';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_show_wooproducts_border = get_theme_mod('ts_photography_show_wooproducts_border', true);
	if($ts_photography_show_wooproducts_border == false){
		$ts_photography_custom_css .='.products li{';
			$ts_photography_custom_css .='border: none;';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_top_bottom_wooproducts_padding = get_theme_mod('ts_photography_top_bottom_wooproducts_padding',10);
	$ts_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_top_bottom_wooproducts_padding).'px !important; padding-bottom: '.esc_attr($ts_photography_top_bottom_wooproducts_padding).'px !important;';
	$ts_photography_custom_css .='}';

	$ts_photography_left_right_wooproducts_padding = get_theme_mod('ts_photography_left_right_wooproducts_padding',10);
	$ts_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$ts_photography_custom_css .='padding-left: '.esc_attr($ts_photography_left_right_wooproducts_padding).'px !important; padding-right: '.esc_attr($ts_photography_left_right_wooproducts_padding).'px !important;';
	$ts_photography_custom_css .='}';

	$ts_photography_wooproducts_border_radius = get_theme_mod('ts_photography_wooproducts_border_radius',0);
	$ts_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_wooproducts_border_radius).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_wooproducts_box_shadow = get_theme_mod('ts_photography_wooproducts_box_shadow',0);
	$ts_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$ts_photography_custom_css .='box-shadow: '.esc_attr($ts_photography_wooproducts_box_shadow).'px '.esc_attr($ts_photography_wooproducts_box_shadow).'px '.esc_attr($ts_photography_wooproducts_box_shadow).'px #eee;';
	$ts_photography_custom_css .='}';

	/*------------------ Skin Option  -------------------*/
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_background_skin_mode','Transparent Background');
    if($ts_photography_theme_lay == 'With Background'){
		$ts_photography_custom_css .='.page-box, #sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin, .noresult-content{';
			$ts_photography_custom_css .='background-color: #fff; padding:10px;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='#sidebar{';
			$ts_photography_custom_css .='background:none;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Transparent Background'){
		$ts_photography_custom_css .='.page-box-single, #sidebar, .page-box{';
			$ts_photography_custom_css .='background-color: transparent;';
		$ts_photography_custom_css .='}';
	}

	/*-------------- Footer Text -------------------*/

	$ts_photography_footer_heading = get_theme_mod( 'ts_photography_footer_heading','Left');
    if($ts_photography_footer_heading == 'Left'){
		$ts_photography_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
		$ts_photography_custom_css .='text-align: left;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_footer_heading == 'Center'){
		$ts_photography_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
			$ts_photography_custom_css .='text-align: center;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_footer_heading == 'Right'){
		$ts_photography_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
			$ts_photography_custom_css .='text-align: right;';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_footer_content = get_theme_mod( 'ts_photography_footer_content','Left');
    if($ts_photography_footer_content == 'Left'){
		$ts_photography_custom_css .='#footer .widget{';
		$ts_photography_custom_css .='text-align: left;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_footer_content == 'Center'){
		$ts_photography_custom_css .='#footer .widget{';
			$ts_photography_custom_css .='text-align: center;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_footer_content == 'Right'){
		$ts_photography_custom_css .='#footer .widget{';
			$ts_photography_custom_css .='text-align: right;';
		$ts_photography_custom_css .='}';
	}

	// Footer Heading Font Size
	$ts_photography_footer_font_size = get_theme_mod('ts_photography_footer_font_size',24);
	$ts_photography_custom_css .='#footer h2{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_footer_font_size).'px;';
	$ts_photography_custom_css .='}';

	// Footer heading font weight
	$ts_photography_footer_heading_font_weight = get_theme_mod('ts_photography_footer_heading_font_weight', '600');
  	$ts_photography_custom_css .='#footer h2{';
    $ts_photography_custom_css .='font-weight: '.esc_attr($ts_photography_footer_heading_font_weight).'!important;';
  	$ts_photography_custom_css .='}';

	// Footer Heading Text Transform
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_footer_text_tranform','Uppercase');
    if($ts_photography_theme_lay == 'Uppercase'){
		$ts_photography_custom_css .='#footer h2{';
			$ts_photography_custom_css .='text-transform: uppercase;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Lowercase'){
		$ts_photography_custom_css .='#footer h2{';
			$ts_photography_custom_css .='text-transform: lowercase;';
		$ts_photography_custom_css .='}';
	}
	else if($ts_photography_theme_lay == 'Capitalize'){
		$ts_photography_custom_css .='#footer h2{';
			$ts_photography_custom_css .='text-transform: capitalize;';
		$ts_photography_custom_css .='}';
	}
	
	$ts_photography_footer_content_font_size = get_theme_mod('ts_photography_footer_content_font_size', 16);
	$ts_photography_custom_css .='.copyright p{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_footer_content_font_size).'px !important;';
	$ts_photography_custom_css .='}';

	// Footer Icon Font Size
	$ts_photography_footer_icon_font_size = get_theme_mod('ts_photography_footer_icon_font_size');
	$ts_photography_custom_css .='.social-media i{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_footer_icon_font_size).'px;';
	$ts_photography_custom_css .='}';

		//footer icon color
	$ts_photography_footer_icon_color = get_theme_mod('ts_photography_footer_icon_color', '#fff');
	$ts_photography_custom_css .='.social-media i{';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_footer_icon_color).'!important;';
	$ts_photography_custom_css .='}';

	$ts_photography_align_footer_social_icon = get_theme_mod('ts_photography_align_footer_social_icon');
	if($ts_photography_align_footer_social_icon != false){
		$ts_photography_custom_css .='.abovecopyright .social-media{';
			$ts_photography_custom_css .='text-align: '.esc_attr($ts_photography_align_footer_social_icon).' !important;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='
		@media screen and (max-width:575px) {
			.abovecopyright .social-media{';
			$ts_photography_custom_css .='text-align: center !important;} }';
	}

	$ts_photography_copyright_padding = get_theme_mod('ts_photography_copyright_padding', 20);
	$ts_photography_custom_css .='.abovecopyright{';
		$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_copyright_padding).'px; padding-bottom: '.esc_attr($ts_photography_copyright_padding).'px;';
	$ts_photography_custom_css .='}';

	/*------ copyright text color -------*/
	$ts_photography_footer_text_color = get_theme_mod('ts_photography_footer_text_color');
	if($ts_photography_footer_text_color != false){
		$ts_photography_custom_css .='.abovecopyright p, .abovecopyright p a{';
			$ts_photography_custom_css .='color: '.esc_attr($ts_photography_footer_text_color).'!important;';
		$ts_photography_custom_css .='}';
	}

	/*------ copyright background css -------*/
	$ts_photography_footer_text_bg_color = get_theme_mod('ts_photography_footer_text_bg_color');
	if($ts_photography_footer_text_bg_color != false){
		$ts_photography_custom_css .='.abovecopyright{';
			$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_footer_text_bg_color).';';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_footer_widget_bg_color = get_theme_mod('ts_photography_footer_widget_bg_color');
	$ts_photography_custom_css .='#footer{';
		$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_footer_widget_bg_color).';';
	$ts_photography_custom_css .='}';

	$ts_photography_footer_widget_bg_image = get_theme_mod('ts_photography_footer_widget_bg_image');
	if($ts_photography_footer_widget_bg_image != false){
		$ts_photography_custom_css .='#footer{';
			$ts_photography_custom_css .='background: url('.esc_attr($ts_photography_footer_widget_bg_image).'); background-size: cover;';
		$ts_photography_custom_css .='}';
	}

	// scroll to top bg color
	$ts_photography_back_to_top_bg_color = get_theme_mod('ts_photography_back_to_top_bg_color');
	$ts_photography_custom_css .='#scroll-top{';
		$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_back_to_top_bg_color).';';
		$ts_photography_custom_css .='border-color: '.esc_attr($ts_photography_back_to_top_bg_color).';';
	$ts_photography_custom_css .='}';

	// scroll to top bg hover color
	$ts_photography_back_to_top_bg_hover_color = get_theme_mod('ts_photography_back_to_top_bg_hover_color');
	$ts_photography_custom_css .='#scroll-top:hover{';
		$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_back_to_top_bg_hover_color).';';
		$ts_photography_custom_css .='border-color: '.esc_attr($ts_photography_back_to_top_bg_hover_color).';';
	$ts_photography_custom_css .='}';

	// scroll to top
	$ts_photography_scroll_font_size_icon = get_theme_mod('ts_photography_scroll_font_size_icon', 22);
	$ts_photography_custom_css .='#scroll-top i{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_scroll_font_size_icon).'px;';
	$ts_photography_custom_css .='}';

	// Slider Height 
	$ts_photography_slider_image_height = get_theme_mod('ts_photography_slider_image_height');
	$ts_photography_custom_css .='#slider img{';
		$ts_photography_custom_css .='height: '.esc_attr($ts_photography_slider_image_height).'px;';
	$ts_photography_custom_css .='}';

	// button font size
	$ts_photography_button_font_size = get_theme_mod('ts_photography_button_font_size');
	$ts_photography_custom_css .='.page-box .content-bttn a{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_button_font_size).'px;';
	$ts_photography_custom_css .='}';

	// button letter spacing
	$ts_photography_button_letter_spacing = get_theme_mod('ts_photography_button_letter_spacing');
	$ts_photography_custom_css .='.page-box .content-bttn a{';
		$ts_photography_custom_css .='letter-spacing: '.esc_attr($ts_photography_button_letter_spacing).'px;';
	$ts_photography_custom_css .='}';

	// font weight
	$ts_photography_btn_font_weight = get_theme_mod('ts_photography_btn_font_weight');{
	$ts_photography_custom_css .='.page-box .content-bttn a{';
	$ts_photography_custom_css .='font-weight: '.esc_attr($ts_photography_btn_font_weight).';';
	$ts_photography_custom_css .='}';
	}

	// Button Text Transform
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_button_text_transform','Uppercase');
    if($ts_photography_theme_lay == 'Uppercase'){
		$ts_photography_custom_css .='.page-box .content-bttn a{';
			$ts_photography_custom_css .='text-transform: uppercase;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Lowercase'){
		$ts_photography_custom_css .='.page-box .content-bttn a{';
			$ts_photography_custom_css .='text-transform: lowercase;';
		$ts_photography_custom_css .='}';
	}
	else if($ts_photography_theme_lay == 'Capitalize'){
		$ts_photography_custom_css .='.page-box .content-bttn a{';
			$ts_photography_custom_css .='text-transform: capitalize;';
		$ts_photography_custom_css .='}';
	}

	// Display Blog Post 
	$ts_photography_display_blog_page_post = get_theme_mod( 'ts_photography_display_blog_page_post','In Box');
    if($ts_photography_display_blog_page_post == 'Without Box'){
		$ts_photography_custom_css .='.page-box{';
			$ts_photography_custom_css .='box-shadow:none; border-bottom: 1px solid #000;';
		$ts_photography_custom_css .='}';
	}

	// Display Grid Post 
	$ts_photography_display_grid_page_post = get_theme_mod( 'ts_photography_display_grid_page_post','In Box');
    if($ts_photography_display_grid_page_post == 'Without Box'){
		$ts_photography_custom_css .='.page-box.grid-box{';
			$ts_photography_custom_css .='box-shadow:none; border-bottom: 1px solid #000;';
		$ts_photography_custom_css .='}';
	}

	// grid post content alignment
	$ts_photography_grid_post_alignment = get_theme_mod( 'ts_photography_grid_post_alignment','Center');
	if($ts_photography_grid_post_alignment == 'Left'){
		$ts_photography_custom_css .='.page-box.grid-box .section-title,.page-box.grid-box .metabox{';
		$ts_photography_custom_css .='text-align: left!important;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_grid_post_alignment == 'Center'){
		$ts_photography_custom_css .='.page-box.grid-box .section-title,.page-box.grid-box .metabox{';
			$ts_photography_custom_css .='text-align: center!important;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_grid_post_alignment == 'Right'){
		$ts_photography_custom_css .='.page-box.grid-box .section-title,.page-box.grid-box .metabox{';
			$ts_photography_custom_css .='text-align: right!important;';
		$ts_photography_custom_css .='}';
	}

	// Blog Post Alignment
	$ts_photography_blog_post_alignment = get_theme_mod( 'ts_photography_blog_post_alignment','Center');
    if($ts_photography_blog_post_alignment == 'Left'){
		$ts_photography_custom_css .='.page-box .section-title, .page-box .metabox{';
		$ts_photography_custom_css .='text-align: left;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.page-box hr{';
		$ts_photography_custom_css .='margin: 10px 0;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_blog_post_alignment == 'Center'){
		$ts_photography_custom_css .='.page-box .section-title, .page-box .metabox{';
			$ts_photography_custom_css .='text-align: center;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_blog_post_alignment == 'Right'){
		$ts_photography_custom_css .='.page-box .section-title, .page-box .metabox, .page-box hr{';
			$ts_photography_custom_css .='text-align: right;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.page-box hr{';
		$ts_photography_custom_css .='margin: 0; float: right;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.page-box .entry-content p{';
		$ts_photography_custom_css .='margin-bottom: 10px;';
		$ts_photography_custom_css .='}';
		$ts_photography_custom_css .='.page-box .content-bttn{';
		$ts_photography_custom_css .='display: flex; justify-content: flex-end; width: 100%;';
		$ts_photography_custom_css .='}';
	}

	// Pagination Alignment
	$ts_photography_pagination_alignment = get_theme_mod( 'ts_photography_pagination_alignment','Left');
    if($ts_photography_pagination_alignment == 'Left'){
		$ts_photography_custom_css .='.pagination, .nav-links{';
		$ts_photography_custom_css .='float: left;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_pagination_alignment == 'Center'){
		$ts_photography_custom_css .='.pagination, .nav-links{';
			$ts_photography_custom_css .='justify-content: center; float: none;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_pagination_alignment == 'Right'){
		$ts_photography_custom_css .='.pagination, .nav-links{';
			$ts_photography_custom_css .='float: right;';
		$ts_photography_custom_css .='}';
	}

	// slider overlay
	$ts_photography_slider_overlay = get_theme_mod('ts_photography_slider_overlay', true);
	if($ts_photography_slider_overlay == false){
		$ts_photography_custom_css .='#slider img{';
			$ts_photography_custom_css .='opacity:1;';
		$ts_photography_custom_css .='}';
	} 
	$ts_photography_slider_image_overlay_color = get_theme_mod('ts_photography_slider_image_overlay_color', true);
	if($ts_photography_slider_overlay != false){
		$ts_photography_custom_css .='#slider{';
			$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_slider_image_overlay_color).';';
		$ts_photography_custom_css .='}';
	}

	// site title and tagline font size option
	$ts_photography_site_title_size_option = get_theme_mod('ts_photography_site_title_size_option', 25);{
	$ts_photography_custom_css .='.ts-photography-logo h1 a, .ts-photography-logo p a{';
	$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_site_title_size_option).'px;';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_site_tagline_size_option = get_theme_mod('ts_photography_site_tagline_size_option', 12);{
	$ts_photography_custom_css .='.ts-photography-logo p{';
	$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_site_tagline_size_option).'px !important;';
		$ts_photography_custom_css .='}';
	}

	// woocommerce product sale settings
	$ts_photography_border_radius_product_sale = get_theme_mod('ts_photography_border_radius_product_sale',50);
	$ts_photography_custom_css .='.woocommerce span.onsale {';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_border_radius_product_sale).'%;';
	$ts_photography_custom_css .='}';

	$ts_photography_align_product_sale = get_theme_mod('ts_photography_align_product_sale', 'Right');
	if($ts_photography_align_product_sale == 'Right' ){
		$ts_photography_custom_css .='.woocommerce ul.products li.product .onsale{';
			$ts_photography_custom_css .=' left:auto; right:0;';
		$ts_photography_custom_css .='}';
	}elseif($ts_photography_align_product_sale == 'Left' ){
		$ts_photography_custom_css .='.woocommerce ul.products li.product .onsale{';
			$ts_photography_custom_css .=' left:0; right:auto;';
		$ts_photography_custom_css .='}';
	}

	$ts_photography_product_sale_font_size = get_theme_mod('ts_photography_product_sale_font_size',14);
	$ts_photography_custom_css .='.woocommerce span.onsale{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_product_sale_font_size).'px;';
	$ts_photography_custom_css .='}';

	// product sale padding top /bottom
	$ts_photography_sale_padding_top = get_theme_mod('ts_photography_sale_padding_top', '');
	$ts_photography_custom_css .='.woocommerce ul.products li.product .onsale{';
	$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_sale_padding_top).'px; padding-bottom: '.esc_attr($ts_photography_sale_padding_top).'px !important;';
	$ts_photography_custom_css .='}';

	// product sale padding left/right
	$ts_photography_sale_padding_left = get_theme_mod('ts_photography_sale_padding_left', '');
	$ts_photography_custom_css .='.woocommerce ul.products li.product .onsale{';
	$ts_photography_custom_css .='padding-left: '.esc_attr($ts_photography_sale_padding_left).'px; padding-right: '.esc_attr($ts_photography_sale_padding_left).'px;';
	$ts_photography_custom_css .='}';

	// preloader background image
	$ts_photography_preloader_bg_image = get_theme_mod('ts_photography_preloader_bg_image');
	if($ts_photography_preloader_bg_image != false){
		$ts_photography_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
			$ts_photography_custom_css .='background: url('.esc_attr($ts_photography_preloader_bg_image).'); background-size: cover;';
		$ts_photography_custom_css .='}';
	}

	// preloader background option
	$ts_photography_loader_background_color_first = get_theme_mod('ts_photography_loader_background_color_first');
	$ts_photography_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
		$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_loader_background_color_first).';';
	$ts_photography_custom_css .='} ';

	// breadcrumb color
	$ts_photography_breadcrumb_color = get_theme_mod('ts_photography_breadcrumb_color');
	$ts_photography_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$ts_photography_custom_css .='color: '.esc_attr($ts_photography_breadcrumb_color).';';
	$ts_photography_custom_css .='} ';

	// breadcrumb bg color
	$ts_photography_breadcrumb_bg_color = get_theme_mod('ts_photography_breadcrumb_bg_color');
	$ts_photography_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_breadcrumb_bg_color).';';
	$ts_photography_custom_css .='} ';

	// fixed header padding option
	$ts_photography_sticky_header_padding_settings = get_theme_mod('ts_photography_sticky_header_padding_settings', 0);
	$ts_photography_custom_css .='.fixed-header{';
		$ts_photography_custom_css .='padding: '.esc_attr($ts_photography_sticky_header_padding_settings).'px;';
	$ts_photography_custom_css .='}';

	// woocommerce Product Navigation
	$ts_photography_products_navigation = get_theme_mod('ts_photography_products_navigation', 'Yes');
	if($ts_photography_products_navigation == 'No'){
		$ts_photography_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$ts_photography_custom_css .='display: none;';
		$ts_photography_custom_css .='}';
	}

	// featured image setting
	$ts_photography_featured_img_border_radius = get_theme_mod('ts_photography_featured_img_border_radius', 0);
	$ts_photography_custom_css .='.our-services img, .box-img img{';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_featured_img_border_radius).'px;';
	$ts_photography_custom_css .='}';

	$ts_photography_featured_img_box_shadow = get_theme_mod('ts_photography_featured_img_box_shadow',0);
	$ts_photography_custom_css .='.our-services img, .page-box-single img{';
		$ts_photography_custom_css .='box-shadow: '.esc_attr($ts_photography_featured_img_box_shadow).'px '.esc_attr($ts_photography_featured_img_box_shadow).'px '.esc_attr($ts_photography_featured_img_box_shadow).'px #ccc;';
	$ts_photography_custom_css .='}';

	// featured image dimention
	$ts_photography_blog_image_dimension = get_theme_mod('ts_photography_blog_image_dimension', 'default');
	$ts_photography_feature_image_custom_width = get_theme_mod('ts_photography_feature_image_custom_width');
	$ts_photography_feature_image_custom_height = get_theme_mod('ts_photography_feature_image_custom_height');
	if($ts_photography_blog_image_dimension == 'custom'){
		$ts_photography_custom_css .='.our-services .page-box img{';
			$ts_photography_custom_css .='width: '.esc_attr($ts_photography_feature_image_custom_width).'px; height: '.esc_attr($ts_photography_feature_image_custom_height).'px;';
		$ts_photography_custom_css .='}';
	}

	// grid post featured image setting
	$ts_photography_img_border_radius_grid_post = get_theme_mod('ts_photography_img_border_radius_grid_post', 0);
	$ts_photography_custom_css .='.our-services .grid-box img{';
		$ts_photography_custom_css .='border-radius: '.esc_attr($ts_photography_img_border_radius_grid_post).'px;';
	$ts_photography_custom_css .='}';

	//First Cap (Blog Post)
	$ts_photography_show_first_caps = get_theme_mod('ts_photography_show_first_caps', 'false');
	if($ts_photography_show_first_caps == 'true' ){
	$ts_photography_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter{';
	$ts_photography_custom_css .=' font-size: 55px; font-weight: 600;';
	$ts_photography_custom_css .=' margin-right: 6px;';
	$ts_photography_custom_css .=' line-height: 1;';
	$ts_photography_custom_css .='}';
	}elseif($ts_photography_show_first_caps == 'false' ){
	$ts_photography_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter {';
	$ts_photography_custom_css .='display: none;';
	$ts_photography_custom_css .='}';
	}

	//First Cap (Single Post)
	$ts_photography_single_post_first_caps = get_theme_mod('ts_photography_single_post_first_caps', 'false');
	if($ts_photography_single_post_first_caps == 'true' ){
	$ts_photography_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter{';
	$ts_photography_custom_css .=' font-size: 55px; font-weight: 600;';
	$ts_photography_custom_css .=' margin-right: 6px;';
	$ts_photography_custom_css .=' line-height: 1;';
	$ts_photography_custom_css .='}';
	}elseif($ts_photography_single_post_first_caps == 'false' ){
	$ts_photography_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter {';
	$ts_photography_custom_css .='display: none;';
	$ts_photography_custom_css .='}';
	}

	// slider top and bottom padding
	$ts_photography_top_bottom_slider_content_space = get_theme_mod('ts_photography_top_bottom_slider_content_space');
	$ts_photography_left_right_slider_content_space = get_theme_mod('ts_photography_left_right_slider_content_space');
	$ts_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .know-btn{';
		$ts_photography_custom_css .='top: '.esc_attr($ts_photography_top_bottom_slider_content_space).'%; bottom: '.esc_attr($ts_photography_top_bottom_slider_content_space).'%;left: '.esc_attr($ts_photography_left_right_slider_content_space).'%;right: '.esc_attr($ts_photography_left_right_slider_content_space).'%;';
	$ts_photography_custom_css .='}';

	/*------ Footer background css -------*/
	$ts_photography_copyright_bg_color_settings = get_theme_mod('ts_photography_copyright_bg_color_settings');
	if($ts_photography_copyright_bg_color_settings != false){
		$ts_photography_custom_css .='.abovecopyright{';
			$ts_photography_custom_css .='background-color: '.esc_attr($ts_photography_copyright_bg_color_settings).';';
		$ts_photography_custom_css .='}';
	}

	// Menu Text Transform
	$ts_photography_theme_lay = get_theme_mod( 'ts_photography_text_tranform_menu','Uppercase');
    if($ts_photography_theme_lay == 'Uppercase'){
		$ts_photography_custom_css .='.primary-navigation a{';
			$ts_photography_custom_css .='text-transform: uppercase;';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_theme_lay == 'Lowercase'){
		$ts_photography_custom_css .='.primary-navigation a{';
			$ts_photography_custom_css .='text-transform: lowercase;';
		$ts_photography_custom_css .='}';
	}
	else if($ts_photography_theme_lay == 'Capitalize'){
		$ts_photography_custom_css .='.primary-navigation a{';
			$ts_photography_custom_css .='text-transform: capitalize;';
		$ts_photography_custom_css .='}';
	}

	// menu font size
	$ts_photography_menus_font_size = get_theme_mod('ts_photography_menus_font_size',12);
	$ts_photography_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
		$ts_photography_custom_css .='font-size: '.esc_attr($ts_photography_menus_font_size).'px;';
	$ts_photography_custom_css .='}';

	// font weight
	$ts_photography_menu_weight = get_theme_mod('ts_photography_menu_weight');{
		$ts_photography_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
			$ts_photography_custom_css .='font-weight: '.esc_attr($ts_photography_menu_weight).';';
		$ts_photography_custom_css .='}';
	}

	// menu padding
	$ts_photography_menus_padding = get_theme_mod('ts_photography_menus_padding');
	$ts_photography_custom_css .='.primary-navigation ul li{';
		$ts_photography_custom_css .='padding: '.esc_attr($ts_photography_menus_padding).'px;';
	$ts_photography_custom_css .='}';

	// Menu hover effect
	$ts_photography_menus_item = get_theme_mod( 'ts_photography_menus_item_style','None');
    if($ts_photography_menus_item == 'None'){
		$ts_photography_custom_css .='.primary-navigation ul a{';
			$ts_photography_custom_css .='';
		$ts_photography_custom_css .='}';
	}else if($ts_photography_menus_item == 'Zoom In'){
		$ts_photography_custom_css .='.primary-navigation ul a:hover{';
			$ts_photography_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$ts_photography_custom_css .='}';
	}

	// Menu Color Option
	$ts_photography_menu_color_settings = get_theme_mod('ts_photography_menu_color_settings');
	$ts_photography_custom_css .='.primary-navigation ul li a{';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_menu_color_settings).';';
	$ts_photography_custom_css .='} ';

	// Menu Hover Color Option
	$ts_photography_menu_hover_color_settings = get_theme_mod('ts_photography_menu_hover_color_settings');
	$ts_photography_custom_css .='.primary-navigation ul li a:hover {';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_menu_hover_color_settings).';';
	$ts_photography_custom_css .='} ';

	// Submenu Color Option
	$ts_photography_submenu_color_settings = get_theme_mod('ts_photography_submenu_color_settings');
	$ts_photography_custom_css .='.primary-navigation ul.sub-menu li a, .primary-navigation ul.children li a{';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_submenu_color_settings).';';
	$ts_photography_custom_css .='} ';

	// Submenu Hover Color Option
	$ts_photography_submenu_hover_color_settings = get_theme_mod('ts_photography_submenu_hover_color_settings');
	$ts_photography_custom_css .='.primary-navigation ul.sub-menu li a:hover, .primary-navigation ul.children li a:hover{';
	$ts_photography_custom_css .='color: '.esc_attr($ts_photography_submenu_hover_color_settings).'!important;';
	$ts_photography_custom_css .='} ';

	// site tagline color
	$ts_photography_site_tagline_color = get_theme_mod('ts_photography_site_tagline_color');
	$ts_photography_custom_css .='.ts-photography-logo p {';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_site_tagline_color).' !important;';
	$ts_photography_custom_css .='}';

	// site title color
	$ts_photography_site_title_color = get_theme_mod('ts_photography_site_title_color');
	$ts_photography_custom_css .='.site-title a{';
		$ts_photography_custom_css .='color: '.esc_attr($ts_photography_site_title_color).' !important;';
	$ts_photography_custom_css .='}';

	// site top-bottom logo padding 
	$ts_photography_logo_padding_top = get_theme_mod('ts_photography_logo_padding_top', '');
	$ts_photography_custom_css .='.ts-photography-logo{';
	$ts_photography_custom_css .='padding-top: '.esc_attr($ts_photography_logo_padding_top).'px !important; padding-bottom: '.esc_attr($ts_photography_logo_padding_top).'px !important ;';
	$ts_photography_custom_css .='}';

	// site left-right logo padding 
	$ts_photography_logo_padding_left = get_theme_mod('ts_photography_logo_padding_left', '');
	$ts_photography_custom_css .='.ts-photography-logo{';
	$ts_photography_custom_css .='padding-left: '.esc_attr($ts_photography_logo_padding_left).'px; padding-right: '.esc_attr($ts_photography_logo_padding_left).'px;';
	$ts_photography_custom_css .='}';

	// site top-bottom logo margin 
	$ts_photography_logo_margin_top = get_theme_mod('ts_photography_logo_margin_top', '');
	$ts_photography_custom_css .='.ts-photography-logo{';
	$ts_photography_custom_css .='margin-top: '.esc_attr($ts_photography_logo_margin_top).'px !important; margin-bottom: '.esc_attr($ts_photography_logo_margin_top).'px !important;';
	$ts_photography_custom_css .='}';

	// site left-right logo margin
	$ts_photography_logo_margin_left = get_theme_mod('ts_photography_logo_margin_left', '');
	$ts_photography_custom_css .='.ts-photography-logo{';
	$ts_photography_custom_css .='margin-left: '.esc_attr($ts_photography_logo_margin_left).'px; margin-right: '.esc_attr($ts_photography_logo_margin_left).'px;';
	$ts_photography_custom_css .='}';

	// toggle button color 
	$ts_photography_taggle_menu_bg_color_settings = get_theme_mod('ts_photography_taggle_menu_bg_color_settings', '');
	$ts_photography_custom_css .='.toggle-menu i {';
	$ts_photography_custom_css .='background-color:'.esc_attr($ts_photography_taggle_menu_bg_color_settings).'';
	$ts_photography_custom_css .='}';

	/*----Comment title text----*/
	$ts_photography_title_comment_form = get_theme_mod('
		ts_photography_title_comment_form', 'Leave a Reply');
	if($ts_photography_title_comment_form == ''){
	$ts_photography_custom_css .='#comments h2#reply-title {';
	$ts_photography_custom_css .='display: none;';
	$ts_photography_custom_css .='}';
	}

	/*----Comment button text----*/
	$ts_photography_comment_form_button_content = get_theme_mod('ts_photography_comment_form_button_content', 'Post Comment');
	if($ts_photography_comment_form_button_content == ''){
	$ts_photography_custom_css .='#comments p.form-submit {';
	$ts_photography_custom_css .='display: none;';
	$ts_photography_custom_css .='}';
	}

	/*---- Comment form ----*/
	$ts_photography_comment_width = get_theme_mod('ts_photography_comment_width', '100');
	$ts_photography_custom_css .='#comments textarea{';
	$ts_photography_custom_css .=' width:'.esc_attr($ts_photography_comment_width).'%;';
	$ts_photography_custom_css .='}';

	// Copyright Sticky 
	$ts_photography_resp_stickycopyright = get_theme_mod( 'ts_photography_stickycopyright_hide_show',false);
	if($ts_photography_resp_stickycopyright == true && get_theme_mod( 'ts_photography_copyright_sticky',false) != true){
    	$ts_photography_custom_css .='.copyright-sticky{';
			$ts_photography_custom_css .='position:static;';
		$ts_photography_custom_css .='} ';
	}	
